HostingOther
Update trusted networks
PUT
/api/domains/{domain_code}/settings/trusted_networksReplaces trusted networks configured for the domain. Admin only.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Path Parameters
domain_code*string
Domain code: D followed by 9 digits. Example: D123456789.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
trusted_networks?object[]
Array item: object
ip*string
Trusted network IP address or network.
description*string
Trusted network description.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/domains/string/settings/trusted_networks" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{}'Empty
{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}